package uk.co.hcsoftware.yago;


public class InvalidOptArgException extends ParseException {
    private final Option option;
    private InvalidArgException e;

    public InvalidOptArgException(Option o, InvalidArgException e) {
        super(e.getMessage(),e.getCause());
        option = o;
        this.e=e;
    }

    public String getFriendlyMessage() {
        return "Option "+option.getName()+" had an invalid argument: "+e.getMessage();
    }


}
