package uk.co.hcsoftware.yago;


public class MissingOptArgException extends ParseException {
    private final Option option;

    public MissingOptArgException(Option option) {

        this.option = option;
    }

    public Option getOption() {
        return option;
    }

    public String getFriendlyMessage() {
        return "Option "+option.getName()+" requires an argument, but it was not found";
    }
}
