package uk.co.hcsoftware.yago;

import java.util.logging.Logger;


public class UnrecognizedOptionException extends ParseException {
    public static final Logger log = Logger.getLogger(UnrecognizedOptionException.class.getName());

    private String inputValue,optid;

    public UnrecognizedOptionException(String inputValue) {
        this.inputValue = inputValue;
    }

    public UnrecognizedOptionException(String inputValue, String optid) {
        this.inputValue = inputValue;
        this.optid = optid;
    }


    public String getFriendlyMessage() {
        if (optid==null) {
            return "I don't recognize the option: "+inputValue;
        } else {
            return "I don't recognize the option: "+optid+" in "+inputValue;
        }
    }
}
