package uk.co.hcsoftware.yago.demo;

import uk.co.hcsoftware.yago.Option;
import uk.co.hcsoftware.yago.parsers.GnuParser;
import uk.co.hcsoftware.yago.util.DefaultArgReaders;

public class HelloWorld {
    public static void main(String[] args) {
        Option m=new Option(
                "m"                 //name (short-id defaults to this)
                ,true               //is required
                ,DefaultArgReaders.createStringReader()  //treat the arg as a string
                ,"print message"    //description for the usage
        ); 

        new GnuParser(m).parseOrDie("HelloWorld",args);
        System.out.println(m.getArgValue());
    }
}
