package uk.co.hcsoftware.yago;


public class InvalidArgException extends ParseException {
    private String argValue;


    public InvalidArgException(String message, String argValue) {
        super(message);
        this.argValue = argValue;
    }


    public InvalidArgException(String message, Throwable cause, String argValue) {
        super(message, cause);
        this.argValue = argValue;
    }

    public String getArgValue() {
        return argValue;
    }

    public String getFriendlyMessage() {
         return "couldn't parse argument: "+getMessage();
    }


}
