package uk.co.hcsoftware.yago;




/**
 * Title: MissingOptException
 * Copyright:    Copyright (c) 23-Sep-2005
 * Company:      Barclays Capital
 *
 * @author spurlinn
 */
public class MissingOptException extends ParseException {
    private Option option;

     public MissingOptException(Option option) {
        this.option = option;
    }

    public Option getOption() {
        return option;
    }

    public String getFriendlyMessage() {
        return "Option "+option.getName()+" is required but was not found";
    }
}
